### Hierarchy

- AbstractNode
  - ObjectDefinition

## Index

### Constructors

- constructor

### Properties

- annotations
- description
- fields
- interfaces
- kind
- loc
- name

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new ObjectDefinition(loc: undefined | Location, name: Name, desc: undefined | StringValue, interfaces: Named[], annotations: Annotation[], fields: FieldDefinition[]): ObjectDefinition

- Overrides AbstractNode.constructor

  - Defined in src/ast/type_definitions.ts:78

  #### Parameters

  - ##### loc: undefined | Location

  - ##### name: Name

  - ##### desc: undefined | StringValue

  - ##### interfaces: Named[]

  - ##### annotations: Annotation[]

  - ##### fields: FieldDefinition[]

  #### Returns ObjectDefinition

## Properties

### annotations

annotations: Annotation[]

- Defined in src/ast/type_definitions.ts:77

### Optional description

description: StringValue

- Defined in src/ast/type_definitions.ts:75

### fields

fields: FieldDefinition[]

- Defined in src/ast/type_definitions.ts:78

### interfaces

interfaces: Named[]

- Defined in src/ast/type_definitions.ts:76

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### name

name: Name

- Defined in src/ast/type_definitions.ts:74

## Methods

### accept

- accept(context: Context, visitor: Visitor): void

- Overrides AbstractNode.accept

  - Defined in src/ast/type_definitions.ts:96

  #### Parameters

  - ##### context: Context

  - ##### visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc